define({"0":{y:0,u:"../Content/part_Overview.htm",l:-1,t:"Overview of HTML Export",i:0.00401740243837359,a:"Overview of HTML Export This section provides an overview of the Micro Focus IDOL KeyView Export SDK and describes how to use the Java implementation of the API. Introducing HTML Export Getting Started"},"1":{y:0,u:"../Content/ExportShared/Introduction/Introduction.htm",l:-1,t:"Introducing HTML Export",i:0.00572485299777012,a:"Introducing HTML Export This guide is for developers who want to incorporate Micro Focus KeyView HTML conversion technology into their applications using a Java development environment. It is intended for readers who are familiar with HTML and Java."},"2":{y:0,u:"../Content/ExportShared/Introduction/Overview.htm",l:-1,t:"Overview",i:0.00401740243837359,a:"HTML Export is part of the KeyView Export SDK. It enables you to convert virtually any document, spreadsheet, presentation, or graphic into high-fidelity HTML. Incorporating this technology into your web-based applications enables your end-users to access a document even if they do not have the ..."},"3":{y:0,u:"../Content/ExportShared/Introduction/Features.htm",l:-1,t:"Features",i:0.00401740243837359,a:"Dynamically convert word processing, spreadsheet, presentation, and graphics files into  web-ready, 4.0-compliant HTML . Export supports over 300 formats in 70 languages. Convert files either in-process or out of process. Out-of-process conversion ensures the stability and robustness of the calling ..."},"4":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00401740243837359,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00401740243837359,a:"The Java HTML Export SDK is supported on the following platforms. CentOS 7 x86, x64, and AArch64 IBM AIX L6.1 PowerPC 32-bit and 64-bit IBM AIX L7.1 PowerPC 32-bit and 64-bit macOS 10.13 or later on 64-bit Apple-Intel architecture macOS 11 or later on Apple M1. Microsoft Windows Server 2012 x64 ..."},"6":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00401740243837359,a:"Supported Compilers The following table lists the supported compilers for the Java HTML Export SDK."},"7":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00401740243837359,a:"To run KeyView on Windows requires the Microsoft Visual C++ 2019 redistributables to be installed. To run KeyView OCR and RMS decryption on 64-bit Linux requires libstdc++.so.6 and libgcc_s.so.1 from GCC 5.4. For your convenience, these are provided in the bin folder of your KeyView installation. If ..."},"8":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00401740243837359,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"9":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.00401740243837359,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"10":{y:0,u:"../Content/ExportShared/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00401740243837359,a:"The Export installation contains: Libraries and executable files necessary for converting source documents into high-quality , web-ready HTML  (see  Files Required for Redistribution ). The include files that define the functions and structures used by the application to establish an interface with ..."},"11":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0267770845818247,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"12":{y:0,u:"../Content/ExportShared/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00401740243837359,a:" The following table describes the directories created during the HTML Export installation. The variable install is the path name of the Export installation  directory (for example, /usr/autonomy/KeyviewExportSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewExportSDK on Windows). On UNIX, the HTML ..."},"13":{y:0,u:"../Content/ExportShared/Introduction/Definition_of_Terms.htm",l:-1,t:"Definition of Terms",i:0.00401740243837359,a:"Definition of Terms The following are specialized terms used throughout the guide. "},"14":{y:0,u:"../Content/ExportShared/GettingStarted/GettingStarted.htm",l:-1,t:"Getting Started",i:0.00572485299777012,a:"Getting Started This section provides an overview of the HTML Export SDK and describes how to use the Java implementations of the API."},"15":{y:0,u:"../Content/ExportShared/GettingStarted/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00401740243837359,a:"Architectural Overview The general architecture of the KeyView HTML conversion technology is the same across all supported platforms and is illustrated in the following diagram: HTML Export Architecture Each component is described in the following table."},"16":{y:0,u:"../Content/ExportShared/GettingStarted/Enhance_Performance.htm",l:-1,t:"Enhance Performance",i:0.00401740243837359,a:"KeyView is designed for optimal performance out of the box. However, there are some parameters that you can adjust to improve performance specifically for your system. File Caching To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data ..."},"17":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files.htm",l:-1,t:"Convert Files",i:0.00401740243837359,a:"KeyView Export SDK enables you to convert many different types of documents to HTML. Converting is the process of extracting the text from a document without the application-specific markup, and applying HTML markup. The conversion process can also include the following: Extracting subfiles to ..."},"18":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files_Out_of_Process.htm",l:-1,t:"Convert Files Out of Process",i:0.056228049758071,a:"Export  can run independently from the calling application. This is called out of process. Out-of-process conversions protect the stability of the calling application in the rare case when a malformed document causes Export to fail. You can also run Export in the same process as the calling ..."},"19":{y:0,u:"../Content/ExportShared/GettingStarted/ConvertOOP_Run_Java.htm",l:-1,t:"Run Export Out of Process",i:0.00560575918246071,a:"The HtmlTest.java sample program demonstrates how to run Export out of process.  To convert files out of process in the Java API If required, set parameters for the out-of-process conversion in the formats_e.ini file. See  Configure Out-of-Process Conversions . Create an instance of the HtmlExport ..."},"20":{y:0,u:"../Content/ExportShared/GettingStarted/Subfile_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.00444426507822272,a:"To convert a file, you must first determine whether the source file contains any subfiles (attachments, embedded objects, and so on). A file that contains subfiles is called a  container file. Compressed files (such as Zip), mail messages with attachments (such as  Microsoft Outlook Express), mail ..."},"21":{y:0,u:"../Content/ExportShared/GettingStarted/Set_Conversion_Options.htm",l:-1,t:"Set Conversion Options",i:0.0295206592918317,a:"Set Conversion  Options Conversion options are parameters that determine the content, structure, and appearance of the HTML output. For example, you can specify:  the markup inserted at the beginning and end of specific HTML blocks whether a heading is included in the table of contents the output ..."},"22":{y:0,u:"../Content/ExportShared/GettingStarted/HTML_Export_API_Java.htm",l:-1,t:"Use the HTML Export API",i:0.00766055636246735,a:"The  Java version of the API provides an interface to the core functionality of the C API. It contains one primary class (HtmlExport) that wraps the conversion functionality of the C API. The HtmlExport class provides access to a family of methods called convert.  The API is implemented in the ..."},"23":{y:0,u:"../Content/ExportShared/GettingStarted/Export_NET_Support.htm",l:-1,t:"Export .NET Support",i:0.00401740243837359,a:"KeyView provides interfaces to its Java APIs in the .NET environment. These interfaces enable you to write C# or Visual Basic .NET programs that call Export APIs and run them natively in the Microsoft .NET Common Language Runtime (CLR).  For a full description of the API classes, see the Javadoc in ..."},"24":{y:0,u:"../Content/part_Use.htm",l:-1,t:"Use the Export API",i:0.00401740243837359,a:"Use the Export API This section explains how to perform some basic tasks using the  File Extraction and  Export APIs, and describes the sample programs. It contains the following chapters: Use the File Extraction API Use the HTML Export API Sample Programs"},"25":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_api.htm",l:-1,t:"Use the File Extraction API",i:0.0110161903886048,a:"Use the File Extraction API This section describes how to extract subfiles from a container file using the File Extraction API. "},"26":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Introduction.htm",l:-1,t:"Introduction",i:0.00401740243837359,a:"To  convert  a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file.  The following ..."},"27":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.0495367667252758,a:"To  convert  all files in a container file, the container must be opened and its subfiles extracted to either a file or a stream using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  conversion . Once a subfile is extracted, you ..."},"28":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00401740243837359,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.extGetSubFileInfo() method.  However, if the ..."},"29":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00401740243837359,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"30":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Recreate_a_File_Hierarchy.htm",l:-1,t:"Recreate a File Hierarchy",i:0.0048214084291453,a:"When a container file is extracted, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. The hierarchy can be used to create a directory structure in a file system, or to ..."},"31":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Mail_Metadata.htm",l:-1,t:"Extract Mail Metadata",i:0.168726914702256,a:"You can extract metadata such as subject, sender, and recipient from subfiles of mail formats by calling the extGetSubFileMetadata() method. You can extract a predefined set of metadata fields, or a list of metadata fields by their names or MAPI properties.  Default Metadata Set KeyView internally ..."},"32":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookFiles.htm",l:-1,t:"Extract Subfiles from Outlook Files",i:0.00401740243837359,a:"Extract  Subfiles from Outlook Files When you extract an Outlook file (MSG) to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the Extracted Text ..."},"33":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookExpress.htm",l:-1,t:"Extract Subfiles from Outlook Express Files",i:0.00401740243837359,a:"Extract Subfiles from Outlook  Express Files When you extract an Outlook Express (EML) file to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the ..."},"34":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_Mailbox_Files.htm",l:-1,t:"Extract Subfiles from Mailbox Files",i:0.00401740243837359,a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ..."},"35":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookPersonal_files.htm",l:-1,t:"Extract Subfiles from Outlook Personal Folders Files",i:0.00401740243837359,a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the body text and header information (To, From, Sent, and so on) from each ..."},"36":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_LotusDomino.htm",l:-1,t:"Extract Subfiles from Lotus Domino XML Language Files",i:0.00401740243837359,a:"Extract  Subfiles from Lotus Domino XML Language Files When you extract a Lotus Domino XML Language (.DXL) file, the message text and header information (To, From, Sent, and so on) is extracted to a text file.  To prevent header information from being extracted, see  Exclude Metadata from the ..."},"37":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_LotusNotes_DB.htm",l:-1,t:"Extract Subfiles from Lotus Notes Database Files",i:0.00401740243837359,a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ..."},"38":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_PDF_Files.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00401740243837359,a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ..."},"39":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00401740243837359,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"40":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Embedded_OLE_Objects.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00401740243837359,a:"Embedded OLE objects can be converted in two ways: Using the File Extraction API, the OLE  object is first extracted from the main file and saved to disk. It can then be converted by making a separate conversion call.  Using the  HTML  Export API, the  main file is converted to  HTML  and the OLE ..."},"41":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_ZIP_Files.htm",l:-1,t:"Extract Subfiles from ZIP Files",i:0.00401740243837359,a:"Extract Subfiles from ZIP Files You can extract ZIP files that are not password-protected by using the general method (see  Extract Subfiles ). However, some ZIP files use password protection, in which case you must use a different method to enter the required credentials. "},"42":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00401740243837359,a:"Default File Names for  Extracted Subfiles When a file name is not specified in the call to  extExtractSubFile, in some cases, a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, KeyView applies its ..."},"43":{y:0,u:"../Content/ExportShared/UseExportAPI/HTML_api.htm",l:-1,t:"Use the HTML Export API",i:0.00610014025217844,a:"Use the HTML Export API This section describes how to perform some basic tasks by using the HTML Export API."},"44":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_Metadata.htm",l:-1,t:"Extract Metadata",i:0.00604440062757643,a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ..."},"45":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_File_Format_Info.htm",l:-1,t:"Extract File Format Information",i:0.00444426507822272,a:"Export can detect a file\u0027s format, and report the information to the API, which in turn reports the information to the developer\u0027s application. This feature enables you to apply customized conversion settings based on a file\u0027s format. See  File Format Detection  for more information on format ..."},"46":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Character_Sets.htm",l:-1,t:"Convert Character Sets",i:0.00444426507822272,a:"Export allows you to control the character set of both the input and the output text. This is accomplished by either setting the source and/or target character set in the API, or  basing the input/output on the character set of the document (if the document character set is stored in the document ..."},"47":{y:0,u:"../Content/ExportShared/UseExportAPI/Map_Styles.htm",l:-1,t:"Map Styles",i:0.0546425770147975,a:"Export can map  paragraph and character styles in any word processing format that contains styles (such as Microsoft Word, RTF, or Folio Flat File) to user-defined markup.  This feature is useful for shaping the look of the HTML output, or for generating user-defined metadata (including using XML ..."},"48":{y:0,u:"../Content/ExportShared/UseExportAPI/Use_Style_Sheets.htm",l:-1,t:"Use Style Sheets",i:0.00819979054376299,a:"Use  Style Sheets You can use style sheets  to define the overall layout and type specifications of the HTML output. Export can write style sheet information to an external Cascading Style Sheet (CSS) file, or read the information from an existing CSS file during the conversion. The formatting data ..."},"49":{y:0,u:"../Content/ExportShared/UseExportAPI/Display_Vector_Graphics_on_UNIX_and_.htm",l:-1,t:"Display Vector Graphics on UNIX and Linux",i:0.00819979054376299,a:"Display Vector Graphics  on UNIX and Linux Export offers the option of rasterizing vector graphic content from source documents into a variety of graphics formats including JPEG, PNG, WMF, and CGM. This solution is implemented with  Windows Graphical Device Interface (GDI) code, and therefore is not ..."},"50":{y:0,u:"../Content/ExportShared/UseExportAPI/Search_and_Highlight_Terms.htm",l:-1,t:"Search and Highlight Terms",i:0.00561753798772729,a:"KeyView can use the highlighting API to find and highlight specified text strings in the HTML output. Only text strings that exactly match the search term are highlighted. For example, if you specify the term house, the string house is highlighted in house, houses, and housed, but is not highlighted ..."},"51":{y:0,u:"../Content/ExportShared/UseExportAPI/Java-Only/Convert_Revision_Tracking_Info.htm",l:-1,t:"Convert Revision Tracking Information",i:0.00561753798772729,a:"The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date.  If revision tracking was enabled when changes were made to ..."},"52":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_Text_from_Text_Boxes.htm",l:-1,t:"Extract Text from Text Boxes",i:0.00401740243837359,a:"By default, the contents of Microsoft Word text boxes are converted to graphics and exported. Alternatively, you can convert the contents of text boxes to text.  The extracted text box text is not formatted.  To enable text box extraction Add the following to the formats_e.ini file: [ ..."},"53":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_PDF_Files.htm",l:-1,t:"Convert PDF Files",i:0.0126078649098362,a:"Export has special  configuration options that allow greater control over the conversion of PDF files. These options can improve the fidelity and accuracy of the HTML output. Use the pdf2sr Reader The pdf2sr reader generates a high fidelity raster image of each page in a PDF file. The output HTML ..."},"54":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Spreadsheet_Files.htm",l:-1,t:"Convert Spreadsheet Files",i:0.00401740243837359,a:"Export has special configuration options that allow greater control over the conversion of spreadsheet files.  Convert  Hidden Text in Microsoft Excel Files Normally, Export does not convert hidden text from a Microsoft Excel spreadsheet because it is assumed that the text should not be exposed. You ..."},"55":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_XML_Files.htm",l:-1,t:"Convert XML Files",i:0.0117567632696759,a:"Convert  XML Files Export enables you to extract all or selected content from source XML files (see  Configure Element Extraction for XML Documents ). It detects the following XML formats: generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, ..."},"56":{y:0,u:"../Content/Shared/_KV_error_messages_java.htm",l:-1,t:"Error Messages",i:0.00401740243837359,a:"Error Messages When a KeyView exception is thrown, it might be caused by one of the following errors."},"57":{y:0,u:"../Content/ExportShared/UseExportAPI/Show_Hidden_Data.htm",l:-1,t:"Show Hidden Data",i:0.0267770845818247,a:"Microsoft Word, Excel, and PowerPoint documents contain hidden information, some of which is shown by default when exported, and some of which is hidden by default. There are several options that allow you to determine which types of hidden data are shown. Hidden Data in Microsoft Documents You can ..."},"58":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Exclude Japanese Guide Text",i:0.00401740243837359,a:"Exclude Japanese Guide Text This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In  formats_e.ini, set the following parameter.  [Options]\nNoPhoneticGuides=TRUE"},"59":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.00401740243837359,a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. Source code identification is available only on Windows 64-bit, Linux 64-bit, and macOS 64-bit platforms. You can set source code identification to different levels. ..."},"60":{y:0,u:"../Content/Java/SamplePrograms/samples_html_java.htm",l:-1,t:"Sample Programs",i:0.00721049999131125,a:"Sample Programs This section describes the Java sample programs provided with HTML Export."},"61":{y:0,u:"../Content/Java/SamplePrograms/Introduction.htm",l:-1,t:"Introduction",i:0.00401740243837359,a:"The Java sample programs demonstrate how to use the Java implementation of HTML Export. The sample code is intended to provide a starting point for your own applications or to be used for reference purposes. The following Java sample programs are provided: ExtractExport HtmlTest HtmlConvFileToFile ..."},"62":{y:0,u:"../Content/Java/SamplePrograms/ExtractExport.htm",l:-1,t:"ExtractExport",i:0.00567513370884357,a:"This program demonstrates the File Extraction interface and basic functionality of the Export interface. The HtmlTest sample program demonstrates more advanced functionality of the Export interface.  See  HtmlTest . The ExtractExport program demonstrates the following functionality: opens a document ..."},"63":{y:0,u:"../Content/Java/SamplePrograms/HtmlTest.htm",l:-1,t:"HtmlTest",i:0.015059190279828,a:"This program converts an input document to an output document and allows you to specify options in the command line. The command-line options are listed in  Options for the HTMLTest Sample Program . This program demonstrates most of the methods available in the Java API. This sample program ..."},"64":{y:0,u:"../Content/Java/SamplePrograms/HtmlConvFileToFile.htm",l:-1,t:"HtmlConvFileToFile",i:0.00990986474269751,a:"This program converts an input file to an output file using Java API calls in HTML Export, and a template file. See  Explore Conversion Options with the Sample Programs  for more information on template files. The program is available in C# ( HtmlConvFileToFile.cs) for .NET and Java ..."},"65":{y:0,u:"../Content/Java/SamplePrograms/HtmlConvStreamToStream.htm",l:-1,t:"HtmlConvStreamToStream",i:0.00487112771807186,a:"This program converts an input stream to an output stream using Java API calls in HTML Export, and a template file. See  Explore Conversion Options with the Sample Programs  for more information on template files. This sample program demonstrates how to export from a java.io.InputStream object. ..."},"66":{y:0,u:"../Content/appart.htm",l:-1,t:"Appendixes",i:0.00401740243837359,a:"This section lists supported formats, supported character sets and redistributed files, and provides information on format detection. Supported Formats Document Readers Character Sets Extract and Format Lotus Notes Subfiles Export Tokens File Format Detection Files Required for Redistribution ..."},"67":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected.htm",l:-1,t:"Supported Formats",i:0.00444426507822272,a:"Supported Formats This section lists the file formats that KeyView can detect."},"68":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.00401740243837359,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"69":{y:0,u:"../Content/kv_formats/_KV_FMT__AllDetected.htm",l:-1,t:"Supported Formats",i:0.0142621057947528,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"70":{y:0,u:"../Content/kv_formats/_KV_FMT_FileClasses.htm",l:-1,t:"File Classes",i:0.00401740243837359,a:"File Classes"},"71":{y:0,u:"../Content/kv_formats/_KV_FMT__SupportedFormats.htm",l:-1,t:"Document Readers",i:0.0209440124191431,a:"Document Readers This section lists the KeyView document readers that are available to filter, export, and view supported file formats."},"72":{y:0,u:"../Content/kv_formats/_KV_FMT__Key.htm",l:-1,t:"Key to Document Readers Table",i:0.00401740243837359,a:"The document readers table includes the following information. Key to Symbols Symbol Description Y The feature is supported. N The feature is not supported. P Partial metadata is extracted from this format. Some non-standard fields are not extracted. T Only text is extracted from this format. ..."},"73":{y:0,u:"../Content/kv_formats/_KV_FMT_Readers.htm",l:-1,t:"Document Readers",i:0.00401740243837359,a:"Document Readers"},"74":{y:0,u:"../Content/kv_charset/_KV_CHARSET_c_charset.htm",l:-1,t:"Character Sets",i:0.00444426507822272,a:"Character Sets This section provides information on the handling of character sets in the KeyView suite of products, which includes KeyView Filter SDK, KeyView Export SDK, and KeyView Viewing SDK. "},"75":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Multibyte_Bidirectional_Support.htm",l:-1,t:"Multibyte and Bidirectional Support",i:0.00401740243837359,a:"The KeyView SDKs can process files that contain  multibyte characters. A multibyte  character encoding represents a single character with consecutive bytes. KeyView can also process text from files that contain  bidirectional text. Bidirectional text contains both Latin-based text which is read from ..."},});