define({"0":{y:0,u:"../Content/part_Overview.htm",l:-1,t:"Overview of XML Export",i:0.00389877037248411,a:"Overview of XML Export This section provides an overview of the Micro Focus IDOL KeyView Export SDK and describes how to use the Java implementation of the API. Introducing XML Export Getting Started"},"1":{y:0,u:"../Content/ExportShared/Introduction/Introduction.htm",l:-1,t:"Introducing XML Export",i:0.00555579096500487,a:"Introducing XML Export This guide is for developers who want to incorporate Micro Focus KeyView XML conversion technology into their applications using a Java development environment. It is intended for readers who are familiar with XML and Java."},"2":{y:0,u:"../Content/ExportShared/Introduction/Overview.htm",l:-1,t:"Overview",i:0.00389877037248411,a:"XML Export is part of the KeyView Export SDK. It enables you to convert virtually any document, spreadsheet, presentation, or graphic into well-formed, valid XML which is validated against a predefined Document Type Definition (DTD). With XML Export, you control the content, structure, and format of ..."},"3":{y:0,u:"../Content/ExportShared/Introduction/Features.htm",l:-1,t:"Features",i:0.00389877037248411,a:"Dynamically convert word processing, spreadsheet, presentation, and graphics files into  well-formed, valid, and 1.0-compliant XML. The XML output is validated against a predefined DTD named the \"Verity.dtd\" . Export supports over 300 formats in 70 languages. Convert files either in-process or out ..."},"4":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00389877037248411,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00389877037248411,a:"The Java XML Export SDK is supported on the following platforms. CentOS 7 x86, x64, and AArch64 IBM AIX L6.1 PowerPC 32-bit and 64-bit IBM AIX L7.1 PowerPC 32-bit and 64-bit macOS 10.13 or later on 64-bit Apple-Intel architecture macOS 11 or later on Apple M1. Microsoft Windows Server 2012 x64 ..."},"6":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00389877037248411,a:"Supported Compilers The following table lists the supported compilers for the Java XML Export SDK."},"7":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00389877037248411,a:"To run KeyView on Windows requires the Microsoft Visual C++ 2019 redistributables to be installed. To run KeyView OCR and RMS decryption on 64-bit Linux requires libstdc++.so.6 and libgcc_s.so.1 from GCC 5.4. For your convenience, these are provided in the bin folder of your KeyView installation. If ..."},"8":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00389877037248411,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"9":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.00389877037248411,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"10":{y:0,u:"../Content/ExportShared/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00389877037248411,a:"The Export installation contains: Libraries and executable files necessary for converting source documents into high-quality , well-formed XML  (see  Files Required for Redistribution ). The include files that define the functions and structures used by the application to establish an interface with ..."},"11":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0259877894030068,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"12":{y:0,u:"../Content/ExportShared/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00389877037248411,a:" The following table describes the directories created during the XML Export installation. The variable install is the path name of the Export installation  directory (for example, /usr/autonomy/KeyviewExportSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewExportSDK on Windows). On UNIX, the XML ..."},"13":{y:0,u:"../Content/ExportShared/Introduction/Definition_of_Terms.htm",l:-1,t:"Definition of Terms",i:0.00389877037248411,a:"Definition of Terms The following are specialized terms used throughout the guide. "},"14":{y:0,u:"../Content/ExportShared/GettingStarted/GettingStarted.htm",l:-1,t:"Getting Started",i:0.00555579096500487,a:"Getting Started This section provides an overview of the XML Export SDK and describes how to use the Java implementations of the API."},"15":{y:0,u:"../Content/ExportShared/GettingStarted/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00389877037248411,a:"Architectural Overview The general architecture of the KeyView XML conversion technology is the same across all supported platforms and is illustrated in the following diagram: XML Export Architecture Each component is described in the following table."},"16":{y:0,u:"../Content/ExportShared/GettingStarted/Enhance_Performance.htm",l:-1,t:"Enhance Performance",i:0.00389877037248411,a:"KeyView is designed for optimal performance out of the box. However, there are some parameters that you can adjust to improve performance specifically for your system. File Caching To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data ..."},"17":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files.htm",l:-1,t:"Convert Files",i:0.00389877037248411,a:"KeyView Export SDK enables you to convert many different types of documents to XML. Converting is the process of extracting the text from a document without the application-specific markup, and applying XML markup. The conversion process can also include the following: Extracting subfiles to expose ..."},"18":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files_Out_of_Process.htm",l:-1,t:"Convert Files Out of Process",i:0.0587935331170484,a:"Export  can run independently from the calling application. This is called out of process. Out-of-process conversions protect the stability of the calling application in the rare case when a malformed document causes Export to fail. You can also run Export in the same process as the calling ..."},"19":{y:0,u:"../Content/ExportShared/GettingStarted/ConvertOOP_Run_Java.htm",l:-1,t:"Run Export Out of Process",i:0.0054402096197593,a:"The XmlTest.java sample program demonstrates how to run Export out of process.  To convert files out of process in the Java API If required, set parameters for the out-of-process conversion in the formats_e.ini file. See  Configure Out-of-Process Conversions . Create an instance of the XmlExport ..."},"20":{y:0,u:"../Content/ExportShared/GettingStarted/Subfile_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.0043130255206143,a:"To convert a file, you must first determine whether the source file contains any subfiles (attachments, embedded objects, and so on). A file that contains subfiles is called a  container file. Compressed files (such as Zip), mail messages with attachments (such as  Microsoft Outlook Express), mail ..."},"21":{y:0,u:"../Content/ExportShared/GettingStarted/Set_Conversion_Options.htm",l:-1,t:"Set Conversion Options",i:0.0311645762044415,a:"Set Conversion  Options Conversion options are parameters that determine the content, structure, and appearance of the XML output. For example, you can specify:  the markup inserted at the beginning and end of specific XML blocks whether a heading is included in the table of contents the output ..."},"22":{y:0,u:"../Content/ExportShared/GettingStarted/HTML_Export_API_Java.htm",l:-1,t:"Use the XML Export API",i:0.00743430850542462,a:"The  Java version of the API provides an interface to the core functionality of the C API. It provides two primary classes (XmlExport and XmlExportReader) that wrap the conversion functionality of the C API. The XmlExport class provides access to a family of methods called convert. The ..."},"23":{y:0,u:"../Content/ExportShared/GettingStarted/Use_Verity_DocType_Definition.htm",l:-1,t:"Use the KeyView Document Type Definition (DTD)",i:0.00389877037248411,a:"Use the KeyView  Document Type Definition ( DTD) XML Export produces well-formed, valid XML documents. Document validity is based on a Document Type Definition (DTD) called the Verity.dtd. The Verity.dtd is in the default output directory tempout. If the DTD is in a different directory, the full ..."},"24":{y:0,u:"../Content/part_Use.htm",l:-1,t:"Use the Export API",i:0.00389877037248411,a:"Use the Export API This section explains how to perform some basic tasks using the  File Extraction and  Export APIs, and describes the sample programs. It contains the following chapters: Use the File Extraction API Use the XML Export API Sample Programs"},"25":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_api.htm",l:-1,t:"Use the File Extraction API",i:0.0106908441700315,a:"Use the File Extraction API This section describes how to extract subfiles from a container file using the File Extraction API. "},"26":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Introduction.htm",l:-1,t:"Introduction",i:0.00389877037248411,a:"To  convert  a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file.  The following ..."},"27":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.0480768084335296,a:"To  convert  all files in a container file, the container must be opened and its subfiles extracted to either a file or a stream using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  conversion . Once a subfile is extracted, you ..."},"28":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00389877037248411,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.extGetSubFileInfo() method.  However, if the ..."},"29":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00389877037248411,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"30":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Recreate_a_File_Hierarchy.htm",l:-1,t:"Recreate a File Hierarchy",i:0.00465167773654986,a:"When a container file is extracted, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. The hierarchy can be used to create a directory structure in a file system, or to ..."},"31":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Mail_Metadata.htm",l:-1,t:"Extract Mail Metadata",i:0.164820520210276,a:"You can extract metadata such as subject, sender, and recipient from subfiles of mail formats by calling the extGetSubFileMetadata() method. You can extract a predefined set of metadata fields, or a list of metadata fields by their names or MAPI properties.  Default Metadata Set KeyView internally ..."},"32":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookFiles.htm",l:-1,t:"Extract Subfiles from Outlook Files",i:0.00389877037248411,a:"Extract  Subfiles from Outlook Files When you extract an Outlook file (MSG) to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the Extracted Text ..."},"33":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookExpress.htm",l:-1,t:"Extract Subfiles from Outlook Express Files",i:0.00389877037248411,a:"Extract Subfiles from Outlook  Express Files When you extract an Outlook Express (EML) file to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the ..."},"34":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_Mailbox_Files.htm",l:-1,t:"Extract Subfiles from Mailbox Files",i:0.00389877037248411,a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ..."},"35":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookPersonal_files.htm",l:-1,t:"Extract Subfiles from Outlook Personal Folders Files",i:0.00389877037248411,a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the body text and header information (To, From, Sent, and so on) from each ..."},"36":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_LotusDomino.htm",l:-1,t:"Extract Subfiles from Lotus Domino XML Language Files",i:0.00389877037248411,a:"Extract  Subfiles from Lotus Domino XML Language Files When you extract a Lotus Domino XML Language (.DXL) file, the message text and header information (To, From, Sent, and so on) is extracted to a text file.  To prevent header information from being extracted, see  Exclude Metadata from the ..."},"37":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_LotusNotes_DB.htm",l:-1,t:"Extract Subfiles from Lotus Notes Database Files",i:0.00389877037248411,a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ..."},"38":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_PDF_Files.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00389877037248411,a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ..."},"39":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00389877037248411,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"40":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Embedded_OLE_Objects.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00389877037248411,a:"Embedded OLE objects can be converted in two ways: Using the File Extraction API, the OLE  object is first extracted from the main file and saved to disk. It can then be converted by making a separate conversion call.  Using the  XML  Export API, the  main file is converted to  XML  and the OLE ..."},"41":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_ZIP_Files.htm",l:-1,t:"Extract Subfiles from ZIP Files",i:0.00389877037248411,a:"Extract Subfiles from ZIP Files You can extract ZIP files that are not password-protected by using the general method (see  Extract Subfiles ). However, some ZIP files use password protection, in which case you must use a different method to enter the required credentials. "},"42":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00389877037248411,a:"Default File Names for  Extracted Subfiles When a file name is not specified in the call to  extExtractSubFile, in some cases, a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, KeyView applies its ..."},"43":{y:0,u:"../Content/ExportShared/UseExportAPI/HTML_api.htm",l:-1,t:"Use the XML Export API",i:0.0059199933690019,a:"Use the XML Export API This section describes how to perform some basic tasks by using the XML Export API."},"44":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_Metadata.htm",l:-1,t:"Extract Metadata",i:0.00652680770146407,a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ..."},"45":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_File_Format_Info.htm",l:-1,t:"Extract File Format Information",i:0.0043130255206143,a:"Export can detect a file\u0027s format, and report the information to the API, which in turn reports the information to the developer\u0027s application. This feature enables you to apply customized conversion settings based on a file\u0027s format. See  File Format Detection  for more information on format ..."},"46":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Character_Sets.htm",l:-1,t:"Convert Character Sets",i:0.0043130255206143,a:"Export allows you to control the character set of both the input and the output text. This is accomplished by either setting the source and/or target character set in the API, or  basing the input/output on the character set of the document (if the document character set is stored in the document ..."},"47":{y:0,u:"../Content/ExportShared/UseExportAPI/Map_Styles.htm",l:-1,t:"Map Styles",i:0.077499076644607,a:"Export can map  paragraph and character styles in any word processing format that contains styles (such as Microsoft Word, RTF, or Folio Flat File) to user-defined markup.  With this feature, you can redact (hide) text in the source document, delete content, or change the overall structure of the ..."},"48":{y:0,u:"../Content/ExportShared/UseExportAPI/Use_Style_Sheets.htm",l:-1,t:"Use Style Sheets",i:0.00831398750326591,a:"Use  Style Sheets XML is a content-based metalanguage designed to structure data. XML does not include information about how a document should be displayed in a browser. To view an XML document in a browser, information about how its displayed must be provided by style sheets. These are coded by ..."},"49":{y:0,u:"../Content/ExportShared/UseExportAPI/Display_Vector_Graphics_on_UNIX_and_.htm",l:-1,t:"Display Vector Graphics on UNIX and Linux",i:0.00831398750326591,a:"Display Vector Graphics  on UNIX and Linux Export offers the option of rasterizing vector graphic content from source documents into a variety of graphics formats including JPEG, PNG, WMF, and CGM. This solution is implemented with  Windows Graphical Device Interface (GDI) code, and therefore is not ..."},"50":{y:0,u:"../Content/ExportShared/UseExportAPI/Java-Only/Convert_Revision_Tracking_Info.htm",l:-1,t:"Convert Revision Tracking Information",i:0.00611255255333388,a:"The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date.  If revision tracking was enabled when changes were made to ..."},"51":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_PDF_Files.htm",l:-1,t:"Convert PDF Files",i:0.0105277696841157,a:"Export has special  configuration options that allow greater control over the conversion of PDF files. These options can improve the fidelity and accuracy of the XML output. Convert PDF Files to a Logical Reading Order The PDF format is primarily designed for presentation and printing of brochures, ..."},"52":{y:0,u:"../Content/pdf2sr_image_size.htm",l:-1,t:"Configure the Size of Exported Images",i:0.00389877037248411,a:"When you use the pdf2sr reader to export images of the pages in a PDF file, you can configure the size of the images produced by KeyView. When a page in a PDF document consists of a single embedded image (such as when the PDF is a scanned document), the page image is output at the original size of ..."},"53":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Spreadsheet_Files.htm",l:-1,t:"Convert Spreadsheet Files",i:0.00389877037248411,a:"Export has special configuration options that allow greater control over the conversion of spreadsheet files.  Convert  Hidden Text in Microsoft Excel Files Normally, Export does not convert hidden text from a Microsoft Excel spreadsheet because it is assumed that the text should not be exposed. You ..."},"54":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_XML_Files.htm",l:-1,t:"Convert XML Files",i:0.01015246263622,a:"Convert  XML Files Export enables you to extract all or selected content from source XML files (see  Configure Element Extraction for XML Documents ). It detects the following XML formats: generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, ..."},"55":{y:0,u:"../Content/Shared/_KV_error_messages_java.htm",l:-1,t:"Error Messages",i:0.00389877037248411,a:"Error Messages When a KeyView exception is thrown, it might be caused by one of the following errors."},"56":{y:0,u:"../Content/ExportShared/UseExportAPI/Show_Hidden_Data.htm",l:-1,t:"Show Hidden Data",i:0.0259877894030068,a:"Microsoft Word, Excel, and PowerPoint documents contain hidden information, some of which is shown by default when exported, and some of which is hidden by default. There are several options that allow you to determine which types of hidden data are shown. Hidden Data in Microsoft Documents You can ..."},"57":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Exclude Japanese Guide Text",i:0.00389877037248411,a:"Exclude Japanese Guide Text This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In  formats_e.ini, set the following parameter.  [Options]\nNoPhoneticGuides=TRUE"},"58":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.00389877037248411,a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. Source code identification is available only on Windows 64-bit, Linux 64-bit, and macOS 64-bit platforms. You can set source code identification to different levels. ..."},"59":{y:0,u:"../Content/Java/SamplePrograms/samples_html_java.htm",l:-1,t:"Sample Programs",i:0.00699754965316327,a:"Sample Programs This section describes the Java sample programs provided with XML Export."},"60":{y:0,u:"../Content/Java/SamplePrograms/Introduction.htm",l:-1,t:"Introduction",i:0.00389877037248411,a:"The Java sample programs demonstrate how to use the Java implementation of XML Export. The sample code is intended to provide a starting point for your own applications or to be used for reference purposes. The following Java sample programs are provided: ExtractExport XmlTest XmlConvFileToFile ..."},"61":{y:0,u:"../Content/Java/SamplePrograms/ExtractExport.htm",l:-1,t:"ExtractExport",i:0.00531448597355816,a:"This program demonstrates the File Extraction interface and basic functionality of the Export interface. The HtmlTest sample program demonstrates more advanced functionality of the Export interface.  See  XmlTest The ExtractExport program demonstrates the following functionality: opens a document ..."},"62":{y:0,u:"../Content/Java/SamplePrograms/XmlTest.htm",l:-1,t:"XmlTest",i:0.0156259082077279,a:"This program converts an input document to an output document and enables you to specify options in the command line. This program demonstrates most of the methods available in the Java API. The command-line options are listed in  Options for the XMLTest Sample Program .  This sample program ..."},"63":{y:0,u:"../Content/Java/SamplePrograms/XmlConvFileToFile.htm",l:-1,t:"XmlConvFileToFile",i:0.00456157860949242,a:"This program converts an input file to an output file using Java API calls in XML Export, and a template file. See  Explore Conversion Options with the Sample Programs  for more information on templates.  It demonstrates the following functions: Extracts file format information (document type, ..."},"64":{y:0,u:"../Content/Java/SamplePrograms/XmlConvStreamToStream.htm",l:-1,t:"XmlConvStreamToStream",i:0.00456157860949242,a:"This program converts an input stream to an output stream using Java API calls in XML Export, and a template file. See  Explore Conversion Options with the Sample Programs  for more information on templates. This sample program demonstrates how to export from a java.io.InputStream object. However, ..."},"65":{y:0,u:"../Content/Java/SamplePrograms/XmlParseIt.htm",l:-1,t:"XmlParseIt",i:0.00456157860949242,a:"This program converts an input file and sends out SAX events based on the generated XML, and a template file. See  Explore Conversion Options with the Sample Programs  for more information on template files. Ensure that the JAVA_HOME  system variable is set and points to your JDK installation ..."},"66":{y:0,u:"../Content/appart.htm",l:-1,t:"Appendixes",i:0.00389877037248411,a:"This section lists supported formats, supported character sets and redistributed files, and provides information on format detection. Supported Formats Document Readers Character Sets Extract and Format Lotus Notes Subfiles Export Tokens File Format Detection Files Required for Redistribution ..."},"67":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected.htm",l:-1,t:"Supported Formats",i:0.0043130255206143,a:"Supported Formats This section lists the file formats that KeyView can detect."},"68":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.00389877037248411,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"69":{y:0,u:"../Content/kv_formats/_KV_FMT__AllDetected.htm",l:-1,t:"Supported Formats",i:0.0138408939276086,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"70":{y:0,u:"../Content/kv_formats/_KV_FMT_FileClasses.htm",l:-1,t:"File Classes",i:0.00389877037248411,a:"File Classes"},"71":{y:0,u:"../Content/kv_formats/_KV_FMT__SupportedFormats.htm",l:-1,t:"Document Readers",i:0.0205126203697159,a:"Document Readers This section lists the KeyView document readers that are available to filter, export, and view supported file formats."},"72":{y:0,u:"../Content/kv_formats/_KV_FMT__Key.htm",l:-1,t:"Key to Document Readers Table",i:0.00389877037248411,a:"The document readers table includes the following information. Key to Symbols Symbol Description Y The feature is supported. N The feature is not supported. P Partial metadata is extracted from this format. Some non-standard fields are not extracted. T Only text is extracted from this format. ..."},"73":{y:0,u:"../Content/kv_formats/_KV_FMT_Readers.htm",l:-1,t:"Document Readers",i:0.00389877037248411,a:"Document Readers"},"74":{y:0,u:"../Content/kv_charset/_KV_CHARSET_c_charset.htm",l:-1,t:"Character Sets",i:0.0043130255206143,a:"Character Sets This section provides information on the handling of character sets in the KeyView suite of products, which includes KeyView Filter SDK, KeyView Export SDK, and KeyView Viewing SDK. "},"75":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Multibyte_Bidirectional_Support.htm",l:-1,t:"Multibyte and Bidirectional Support",i:0.00389877037248411,a:"The KeyView SDKs can process files that contain  multibyte characters. A multibyte  character encoding represents a single character with consecutive bytes. KeyView can also process text from files that contain  bidirectional text. Bidirectional text contains both Latin-based text which is read from ..."},});